[Bug 256141] lang/python38: Remove LIBFFI option for python* versions which unbundled libffi (Fails to install without LIBFFI)

From: <bugzilla-noreply_at_freebsd.org>
Date: Wed, 26 May 2021 00:51:33 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256141

Kubilay Kocak <koobs_at_FreeBSD.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
            Summary|lang/python38: Fails to     |lang/python38: Remove
                   |install without LIBFFI      |LIBFFI option for python*
                   |                            |versions which unbundled
                   |                            |libffi (Fails to install
                   |                            |without LIBFFI)
             Status|New                         |Open
              Flags|                            |merge-quarterly?
           Keywords|                            |easy, needs-patch

--- Comment #1 from Kubilay Kocak <koobs_at_FreeBSD.org> ---
Had a couple of reports of this issue. Python unbundled libffi, necessitating
depending on libffi for those versions onward.

The LIBFFI option should be removed across all lang/python* ports where this is
the case, as it is no longer optional

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Wed May 26 2021 - 00:51:33 UTC

Original text of this message